from unloadService import UnloadService
from common import logger, config
import traceback


def main():
    errorLog = logger.getUploadLogger('errorLog', 'RestError')
    if config.getBool('UNLOAD', 'multiprocessing', False):
        from common.lockingFileHandlers import LockingRotatingFileHandler
        import logging.handlers
        logging.handlers.RotatingFileHandler = LockingRotatingFileHandler

        from common.lockingFileHandlers import LockingTimedRotatingFileHandler
        import logging.handlers
        logging.handlers.TimedRotatingFileHandler = LockingTimedRotatingFileHandler

    try:
        UnloadService().on_start()
    except Exception as e:
        print(e)
        errorLog.error(traceback.format_exc())


if __name__ == '__main__':
    main()
